petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSlicedSetGhosts

Sets the global indices of other processes elements that will be ghosts on this process

### Synopsis

    #include "petscdmsliced.h"
    PetscErrorCode  DMSlicedSetGhosts(DM dm,PetscInt bs,PetscInt nlocal,PetscInt Nghosts,const PetscInt ghosts[])

Not Collective Many br

### Input Parameters

| slice | - the DM object Many br
| bs | - block size Many br
| nlocal | - number of local (owned, non-ghost) blocks Many br
| Nghosts | - number of ghost blocks on this process Many br
| ghosts | - global indices of each ghost block Many br

Many br

### See Also

DMDestroy(), DMCreateGlobalVector()

Level:advanced
Location:src/dm/impls/sliced/sliced.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages